%define DisableOffensiveFortunes 1
%define CookieDir %{_prefix}/games/fortune

Summary: A program which will display a fortune.
Name:		fortune-mod
Version:	1.0
Release:	24.fdr.5.2
Epoch:		0
URL:		http://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-mod-9708.README
License: BSD
Group: Amusements/Games
Source: http://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.gz
Source1: kernelnewbies-fortunes.tar.gz
Source2: bofh-excuses.tar.bz2
Source3: http://www.aboleo.net/software/misc/fortune-tao.tar.gz
Source4: http://www.splitbrain.org/Fortunes/hitchhiker/fortune-hitchhiker.tgz
Source5: http://www.dibona.com/opensources/osfortune.tar.gz
Source6: http://humorix.org/downloads/humorixfortunes-1.4.tar.gz
Patch0: fortune-mod-offense.patch
Patch1: fortune-mod-1.0-remove-offensive.patch
Patch2: fortune-mod-1.0-remove-offensive-option.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

%description
Fortune-mod contains the ever-popular fortune program, which will
display quotes or witticisms. Fun-loving system administrators can add
fortune to users' .login files, so that the users get their dose of
wisdom each time they log in.

%prep
%setup -q -n fortune-mod-9708

%if %{DisableOffensiveFortunes}
%patch0 -p1 -b .disable-offensive1
%patch1 -p0 -b .disable-offensive2
%patch2 -p0 -b .remove-offensive-option
%endif

%build
make COOKIEDIR=%{CookieDir} \
	FORTDIR=%{_bindir} BINDIR=%{_sbindir}

%install
rm -rf $RPM_BUILD_ROOT

make    COOKIEDIR=%{CookieDir} fortune/fortune.man
make	FORTDIR=$RPM_BUILD_ROOT/%{_bindir} \
	COOKIEDIR=$RPM_BUILD_ROOT%{CookieDir} \
	BINDIR=$RPM_BUILD_ROOT/%{_sbindir} \
	BINMANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	FORTMANDIR=$RPM_BUILD_ROOT/%{_mandir}/man6 \
	install

tar zxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{CookieDir}
%if %{DisableOffensiveFortunes}
rm $RPM_BUILD_ROOT%{CookieDir}/men-women*
%endif

# Using bzcat for portability because tar keeps randomly changing the switch
# for bzip.  It was "y" at one point, then "I", and now it is "j".  God knows
# WTF they'll change it too next.

bzcat %{SOURCE2} | tar xvf - -C $RPM_BUILD_ROOT%{CookieDir}

# Non-standard source files, need to move things around
tar zxvf %{SOURCE3} -C $RPM_BUILD_ROOT%{CookieDir}/ fortune-tao/tao*
mv $RPM_BUILD_ROOT%{CookieDir}/fortune-tao/* $RPM_BUILD_ROOT%{CookieDir}/
rmdir $RPM_BUILD_ROOT%{CookieDir}/fortune-tao

tar zxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{CookieDir}/ fortune-hitchhiker/hitch*
mv $RPM_BUILD_ROOT%{CookieDir}/fortune-hitchhiker/* $RPM_BUILD_ROOT%{CookieDir}/
rmdir $RPM_BUILD_ROOT%{CookieDir}/fortune-hitchhiker

tar zxvf %{SOURCE5} -C $RPM_BUILD_ROOT%{CookieDir}/
chmod 644 $RPM_BUILD_ROOT%{CookieDir}/osfortune*

tar zxvf %{SOURCE6} -C $RPM_BUILD_ROOT%{CookieDir}/ humorixfortunes-1.4/*
mv $RPM_BUILD_ROOT%{CookieDir}/humorixfortunes-1.4/* $RPM_BUILD_ROOT%{CookieDir}/
rmdir $RPM_BUILD_ROOT%{CookieDir}/humorixfortunes-1.4

# Recreate random access files for the added fortune files.
for i in \
    kernelnewbies bofh-excuses tao hitchhiker \
    osfortune humorix-misc humorix-stories \
; do util/strfile $RPM_BUILD_ROOT%{CookieDir}/$i ; done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_bindir}/fortune
%{_sbindir}/strfile
%{_sbindir}/unstr
%{CookieDir}
%{_mandir}/man*/*

%changelog
* Sat Nov 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.0-24.fdr.5
- Recreate .dat files at build-time to fix x86_64 fedora.us bug #2279.
- Use %%CookieDir everywhere.

* Sun Jun 08 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.4
- Added Humorix fortunes
- Used $RPM_BUILD_ROOT

* Sun May 04 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.3
- Added Tao Te Ching (fortune-tao), O'Reilly (osfortune) and H2G2 (fortune-hitchhiker) cookies
- Fixed BuildRoot
- Added Epoch
- Reverted to .tar.gz for main source, .tar.bz2 not available upstream

* Fri May 02 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.2
- Modified installation paths to conform with Red Hat-packaged games, i.e. binaries in /usr and data files under /usr/games

* Fri May 02 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 1.0-24.fdr.1
- Converted from fortune-mod-1.0-24 from RH8.0
- Updated package naming, added URL

* Thu Aug 22 2002 Mike A. Harris <mharris@redhat.com> 1.0-24
- Removed -o option from fortune, the manpage and --help message, as
  we do not provide or support the offensive fortunes for obvious
  reasons.  (#54713)
